# Generated from jekyll-locales-0.1.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-locales

Name: rubygem-%{gem_name}
Version: 0.1.12
Release: 1%{?dist}
Summary: Jekyll plugin for localized sites
License: GPL-3.0
URL: https://0xacab.org/sutty/jekyll/jekyll-locales
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 0.74
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
This is yet another plugin for Jekyll localization.  It creates a
copy of the site for each language and allows to interlink between
them.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jekyll-locales.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.1.12-1
- Initial package
